:root {
    --hover-color: #01813F;
}

body {
    font-family: 'Ubuntu', sans-serif;
}


.hero {
    background-image: url(../image/Background.png);
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
}

.header {
    display: flex;
    justify-content: space-between;
    padding: 18px 79px;
    color: white;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    margin-bottom: 54px;
}

.header-sign-up a {
    color: white;
}

.header-title {
    font-weight: bold;
    font-size: 22px;
    text-transform: uppercase;
}

.header-sign-up {
    display: flex;
    align-items: center;

}

.icon-bar {
    padding-right: 53px;
    position: relative;
}

.icon-bar::after {
    content: "";
    position: absolute;
    width: 1px;
    height: 19px;
    right: 25px;
    top: calc((100% - 19px) / 2);
    background: rgba(255, 255, 255, 0.9);
    mix-blend-mode: normal;
    opacity: 0.5;
}

svg {
    margin-right: 27px;
}

path {
    transition: fill 0.5s ease;
}
svg:hover path{
    fill: var(--hover-color);
}

.header p {
    font-size: 14px;
}

.header-sign-up a:hover,
.header-title:hover {
    color: var(--hover-color);
    transition: 0.5s;
}

.sign-up-form {
    background: #FFFFFF;
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.52);
    width: 444px;
    margin: 0 auto;
    position: relative;
}

.sign-up-form::before{
    content: "";
    position: absolute;
    width: 18px;
    height: 18px;
    left: 0;
    top: 29px;
    background: #3CB878;
}
.container {
    width: 322px;
    margin: 0 auto;

}

#change-theme {
    font-size: 20px;
    color: #937341;
}
.title-form {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
    padding-top: 31px;
}

.title-form-signup {
    font-size: 20px;
    color: #434343;
}

.title-form-login a{
    font-size: 14px;
    color: #3CB878;
}

.title-form-login:hover a {
    color: var(--hover-color);
    text-decoration: underline;
    transition: all 0.5s;
}

.buttons {
    display: flex;
    gap: 4px;
}
.fb-button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    background: #305DB8;
    width: 160px;
    font-size: 16px;
    color: #FFFFFF;
    border: none;
    border-radius: 4px;
    padding: 12px 22px 12px 17px;
}

.fb-button::after {
    content: "";
    position: absolute;
    width: 1px;
    height: 28px;
    top: calc((100% - 28px) / 2);
    left: 48px;
    background: #0A162F;
    mix-blend-mode: normal;
    opacity: 0.1;
}

.fb-button:hover {
    background: #022263;
    transition: 0.5s;
}

.google-button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 16px;
    width: 160px;
    background: #DF4A32;
    color: #FFFFFF;
    border: none;
    border-radius: 4px;
    padding: 12px 27px 12px 12px;
    position: relative;
}

.google-button::after {
    content: "";
    position: absolute;
    width: 1px;
    height: 28px;
    top: calc((100% - 28px) / 2);
    left: 48px;
    background: #0A162F;
    mix-blend-mode: normal;
    opacity: 0.1;
}

.google-button:hover {
    background: #AB1F09;
    transition: 0.5s;
}

.or {
    margin-top: 31px;
    margin-bottom: 12px;
    text-align: center;
    font-size: 14px;
    color: #848484;
    position: relative;
}

.or::before {
    content: "";
    position: absolute;
    width: 152px;
    height: 1px;
    left: -3px;
    top: 50%;
    background: #F2F2F2;
}

.or::after {
    content: "";
    position: absolute;
    width: 152px;
    height: 1px;
    left: 171px;
    top: 50%;
    background: #F2F2F2;
}

.form-field {
    width: 100%;
    padding: 15px 19px;
    outline: none;
    border: 1px solid #F2F2F2;
    border-radius: 4px;

}

.form-field:focus {
    background: #FFFFFF;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
    border-radius: 4px;
}
.form-field::placeholder {
    font-size: 14px;
    color: #BEBEBE;
}

.form-field:focus::placeholder {
    color: #434343;
}
.input-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
}
input[type="checkbox"]:checked,
input[type="checkbox"]:not(:checked)
{
    position: absolute;
    left: -9999px;
}

input[type="checkbox"]:checked + label,
input[type="checkbox"]:not(:checked) + label {
    display: inline-block;
    position: relative;
    padding-left: 31px;
    line-height: 20px;
    cursor: pointer;
}
input[type="checkbox"]:checked + label:before,
input[type="checkbox"]:not(:checked) + label:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
}

input[type="checkbox"]:checked + label:before,
input[type="checkbox"]:not(:checked) + label:before {
    border-radius: 2px;
}
input[type="checkbox"]:checked + label:after,
input[type="checkbox"]:not(:checked) + label:after,
input[type="radio"]:checked + label:after,
input[type="radio"]:not(:checked) + label:after {
    content: "";
    position: absolute;
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

input[type="checkbox"]:checked + label:after,
input[type="checkbox"]:not(:checked) + label:after {
    left: 1px;
    top: 1px;
    width: 18px;
    height: 11px;
    border-radius: 2px;
    border-left: 2px solid #3CB878;
    border-bottom:  2px solid #3CB878;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
input[type="checkbox"]:not(:checked) + label:after {
    opacity: 0;
}

input[type="checkbox"]:checked + label:after {
    opacity: 1;
}

span {
    font-size: 14px;
    color: #434343;
}

.terms {
    color: #3CB878;
}

.terms:hover {
    color: var(--hover-color);
    text-decoration: underline;
    transition: 0.5s;
}
.btn-create-account {
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    font-size: 16px;
    color: white;
    padding: 16px 99px;
    border: none;
    margin-top: 5px;
    margin-bottom: 38px;
}

.btn-create-account:hover {
    background: var(--hover-color);
    transition: 0.5s;
}

